Run eBay Product Reviews
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-ebay-product-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "1234567890",
"max_items": 10
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-ebay-product-reviews"
payload = {
"product": "1234567890",
"max_items": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '1234567890', max_items: 10})
};
fetch('https://api.neuralverge.ai/functions/v1/run-ebay-product-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "ebay_product_reviews",
"product": "28032667767",
"max_items": 2,
"start_page": 1,
"human": "# eBay product reviews\n\n- **Product:** 28032667767\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 481.5 KB",
"machine": {
"total_items": 2,
"reviews": [
{
"id": "10000000318520591",
"rating": 5,
"text": "Fantastic item! Mouse works perfectly. It is better for my wrist than the one I had. Did not realize how much of an angle my hand was at all day. This — Fantastic item! Mouse works perfectly. It is better for my wrist than the one I had. Did not realize how much of an angle my hand was at all day. This mouse is accurate and I love the features on it. Thank you",
"author": "jrstufff",
"created_at": "May 31, 2024",
"created_date": null,
"is_verified": true,
"condition": null,
"sold_by": "onlyonedeal",
"helpful_count": 0,
"is_top_favorable": false,
"is_top_critical": false
},
{
"id": "10000000283857118",
"rating": 1,
"text": "Must have a unifying receiver to use this wireless mouse. — Received the mouse and was excited to put it to work. Found out none of my existing usb receivers were compatible. Tried multiple combinations on my three other M705 mice and none of them are interchangeable. Only the receiver that came with the original mouse worked. Sorry this didn't work out. Had high hopes.",
"author": "pw923941kpx",
"created_at": "Mar 31, 2020",
"created_date": null,
"is_verified": true,
"condition": "Pre-Owned",
"sold_by": "voltage_electro...",
"helpful_count": 0,
"is_top_favorable": false,
"is_top_critical": false
}
],
"proxy_traffic_bytes": 493088
},
"total_points": 2
}E-commerce & Marketplaces
Run eBay Product Reviews
Returns buyer reviews for an eBay catalog product by ePID or URL. List endpoint: 1 point per returned record.
POST
/
functions
/
v1
/
run-ebay-product-reviews
Run eBay Product Reviews
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.